# Generated from scim-query-filter-parser-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name scim-query-filter-parser

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: SCIM Filter Query Parser
License: MIT
URL: https://github.com/ingydotnet/scim-query-filter-parser-rb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.1
BuildArch: noarch

%description
A parser for SCIM filter queries. Specced here:
http://www.simplecloud.info/specs/draft-scim-api-01.html#query-resources.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/.gemspec
%doc %{gem_instdir}/CHANGELOG.yaml
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.4-1
- Initial package
